package com.ruoyi.oa.service;

import com.ruoyi.oa.domain.OaReportDetail;
import com.ruoyi.oa.domain.vo.OaReportDetailVo;
import com.ruoyi.oa.domain.bo.OaReportDetailBo;
import com.ruoyi.common.core.page.TableDataInfo;
import com.ruoyi.common.core.domain.PageQuery;

import java.util.Collection;
import java.util.List;

/**
 * 设计项目汇报详情Service接口
 *
 * @author ruoyi
 * @date 2025-05-13
 */
public interface IOaReportDetailService {

    /**
     * 查询设计项目汇报详情
     */
    OaReportDetailVo queryById(Long id);

    /**
     * 查询设计项目汇报详情列表
     */
    TableDataInfo<OaReportDetailVo> queryPageList(OaReportDetailBo bo, PageQuery pageQuery);

    /**
     * 查询设计项目汇报详情列表
     */
    List<OaReportDetailVo> queryList(OaReportDetailBo bo);

    /**
     * 新增设计项目汇报详情
     */
    Boolean insertByBo(OaReportDetailBo bo);

    /**
     * 修改设计项目汇报详情
     */
    Boolean updateByBo(OaReportDetailBo bo);

    /**
     * 校验并批量删除设计项目汇报详情信息
     */
    Boolean deleteWithValidByIds(Collection<Long> ids, Boolean isValid);
}
